--- /dev/null
+Skype is a free Voice Over IP program for Linux, Windows, and MacOS. It
+allows users to communicate with other Skype users running any of the
+supported platforms, as well as receiving and placing calls from and to
+normal land lines and mobile phones.
+
+This script repackages the shared tarball provided by Skype, which has
+been built dynamically. Static binary support has been discontinued.
+
+pulseaudio is an optional dependency.
+
+If you don't want to install pulseaudio, but still want working sound,
+you can build pulseaudio emulation library by specifying APULSE=yes.
+
+See README.SLACKWARE (which is also installed with the package docs) for
+setup, configuration, and usage hints.
--- /dev/null
+Skype and camera issues
+-----------------------
+It has been pointed out by a lot of users that skype has problems with
+some cameras, in most cases this leads to green screen or no video at
+all. This happens because V4L API (legacy) has been dropped from newer
+kernels, and pixel format decoding has been pushed to user space.
+Moreover, V4L2 does not support kernel space decoding. Since skype
+supports only V4L, easiest way to get it working is to preload it with
+V4L compatibility library, and call skype like this:
+
+ LD_PRELOAD=/usr/lib/libv4l/v4l1compat.so /usr/bin/skype
+
+If you are still having problems, try adding the following as aswell:
+
+ XLIB_SKIP_ARGB_VISUALS=1
+
+Included with this package is an alternative desktop file modified to
+include those variables. For easy use, just copy it to your home
+directory:
+
+ cp /usr/doc/skype-4.3.0.37/skype-alternative.desktop \
+ ~/.local/share/applications
+
+Don't forget to change "skype" to "apulse skype" there, if you're using apulse.
--- /dev/null
+#!/bin/sh
+
+# Slackware build script for skype
+
+# Copyright 2010, 2012, 2013, 2014 Mario Preksavec, Zagreb, HR;
+# 2014 Vladislav "fsLeg" Borisov, Moscow, Russia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=skype
+VERSION=${VERSION:-4.3.0.37}
+BUILD=${BUILD:-2}
+TAG=${TAG:-fsleg}
+
+APULSE=${APULSE:-"no"}
+
+case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+esac
+
+# Sanity check, we make sure resulting package will work on users system.
+case "$ARCH" in
+ x86_64)
+ echo "$ARCH is not supported, you will need 32bit compatibility libs..."
+ ARCH=i486
+ ;;
+ i486)
+ echo "System check passed..."
+ ;;
+ *)
+ echo "$ARCH is not supported."
+ exit 1
+ ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+build_apulse() {
+ APULSE_GIT="https://github.com/i-rinat/apulse.git"
+
+ git clone "${APULSE_GIT}"
+ cd apulse
+
+ if [ "$(uname -m)" == "x86_64" ]; then
+ CFLAGS="-m32"
+ fi
+
+ mkdir build pkg && cd build
+
+ CFLAGS=${CFLAGS} cmake \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DAPULSEPATH=/usr/lib/apulse \
+ ..
+ make
+ make DESTDIR="$(pwd)/../pkg" install
+
+ cd ../..
+}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/{bin,share/{skype,pixmaps,applications}} $PKG/etc/dbus-1/system.d
+cp -a skype $PKG/usr/bin
+cp -a avatars lang sounds $PKG/usr/share/skype
+cat skype.desktop > $PKG/usr/share/applications/skype.desktop
+cat icons/SkypeBlue_48x48.png > $PKG/usr/share/pixmaps/skype.png
+cat skype.conf > $PKG/etc/dbus-1/system.d/skype.conf
+
+if [ "${APULSE}" == "yes" ]; then
+ build_apulse
+ mkdir -p $PKG/usr/lib
+ cp -aR apulse/pkg/usr/lib/apulse $PKG/usr/lib
+ cp -a apulse/pkg/usr/bin/apulse $PKG/usr/bin/
+ sed -i 's/Exec\=skype/Exec=apulse skype/' $PKG/usr/share/applications/skype.desktop
+fi
+
+# If we strip it, it segfaults, so lets disable this for now.
+#find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+# | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README.SLACKWARE > $PKG/usr/doc/$PRGNAM-$VERSION/README.SLACKWARE
+cat $CWD/skype-alternative.desktop > \
+ $PKG/usr/doc/$PRGNAM-$VERSION/skype-alternative.desktop
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-txz}
--- /dev/null
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+skype: Skype (a P2P Voice Over IP program)
+skype:
+skype: Skype is a free Voice Over IP program for Linux, Windows and
+skype: MacOS. It allows users to communicate with other Skype users
+skype: running any of the supported platforms, as well as receiving
+skype: and placing calls from and to normal land lines as well as
+skype: mobile phones.
+skype:
+skype: Homepage: http://www.skype.com
+skype:
+skype: